AsTest (jTDS API)
Keywords: net.sourceforge.jtds.test.AsTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class AsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.DatabaseTestCase
                      net.sourceforge.jtds.test.AsTest

All Implemented Interfaces:
  junit.framework.Test

public class AsTest
extends DatabaseTestCase

Version:
  $Id: AsTest.java,v 1.9.2.1 2009/08/04 10:33:54 ickzon Exp $
Author:
  Alin Sinpalean

Field Summary

Fields inherited from class net.sourceforge.jtds.test.DatabaseTestCase
``

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`AsTest(java.lang.String name)`

Method Summary
`private void` | `checkTime(long time)`
`static void` | `main(java.lang.String[] args)`
`void` | `testBatch1()`
`void` | `testBigDecimal()`
`void` | `testBigInt()`
`void` | `testBinary()`
`void` | `testBoolean()`
`void` | `testBug457955()`
`void` | `testBugAttTest2()`
`void` | `testProc1()`
`void` | `testProc2()`
`void` | `testSpecTime()`

Methods inherited from class net.sourceforge.jtds.test.DatabaseTestCase
`compareBytes, dropFunction, dropProcedure, dropProcedure, dropTable, getLongString, getLongString, getType, getTypemap`

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsTest

    public AsTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testProc1

    public void testProc1()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testProc2

    public void testProc2()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBatch1

    public void testBatch1()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBug457955

    public void testBug457955()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBugAttTest2

    public void testBugAttTest2()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBigInt

    public void testBigInt()
                    throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### testBoolean

    public void testBoolean()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### testBinary

    public void testBinary()
                    throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### checkTime

    private void checkTime(long time)
                    throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### testSpecTime

    public void testSpecTime()
                      throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### testBigDecimal

    public void testBigDecimal()
                        throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009